curl --request POST \
--url https://app.cryptoprocessing.com/api/v2/addresses/take \
--header 'Content-Type: application/json' \
--header 'X-processing-key: <api-key>' \
--header 'X-processing-signature: <api-key>' \
--data '
{
"currency": "BTC",
"end_user_reference": "guest_user_17",
"convert_to": "EUR",
"foreign_id": "new_BTC_address_1714",
"sender_type": "legal",
"sender_data": {
"legal_name": "Example GmbH",
"country_of_registration": "DEU"
}
}
'{
"data": {
"id": 23553829,
"currency": "BTC",
"address": "2NFZ9SmEm3mQ7jqVF4vPXBwCyn9KpmEwkTj",
"tag": null,
"foreign_id": "new_BTC_address12",
"end_user_reference": "guest_user_17"
}
}curl --request POST \
--url https://app.cryptoprocessing.com/api/v2/addresses/take \
--header 'Content-Type: application/json' \
--header 'X-processing-key: <api-key>' \
--header 'X-processing-signature: <api-key>' \
--data '
{
"currency": "BTC",
"end_user_reference": "guest_user_17",
"convert_to": "EUR",
"foreign_id": "new_BTC_address_1714",
"sender_type": "legal",
"sender_data": {
"legal_name": "Example GmbH",
"country_of_registration": "DEU"
}
}
'{
"data": {
"id": 23553829,
"currency": "BTC",
"address": "2NFZ9SmEm3mQ7jqVF4vPXBwCyn9KpmEwkTj",
"tag": null,
"foreign_id": "new_BTC_address12",
"end_user_reference": "guest_user_17"
}
}convert_to parameter.
The end_user_reference parameter is used to group, track and analyse transactions made by a specific customer. To prevent transactions from getting delayed or cancelled, always make sure to include the correct ID. The ID must not contain any personal or identifying customer data.
sender_data and the end_user_reference you provide must be associated with the same customer. Your API key.
The request body, signed with HMAC-SHA512 with your secret key. You can find the secret key in your account.
Permanent ID of the customer in your system. Must not contain personal data, such as the user's name or email address. Include this customer's data in the sender_data object.
The currency you want to receive. For a list of all available currencies, see Supported currencies.
The unique ID of the customer who will be depositing to this address. It will be returned with every callback to make it easy for you to identify the customer within your system. The same foreign_id can be reused across multiple addresses that belong to the same customer. This parameter must not include any personal data.
Whether the sender is a natural person (natural) or a legal entity (legal).
natural, legal If the sender is a natural person, include their first_name, last_name, date_of_birth and email. If the sender is a legal entity, include the legal_name, country_of_registration and email.
Show child attributes
If you need to automatically convert all deposits to a certain currency, specify its ISO code here. For a list of all available currencies, see Supported currencies.
OK
Show child attributes